> Calendly developer docs. For page Markdown, append .md to any URL.
> Index: https://developer.calendly.com/llms.txt
> API catalog: https://developer.calendly.com/.well-known/api-catalog
> OpenAPI: https://developer.calendly.com/openapi/calendly-api.yaml
> OAuth authorization server: https://calendly.com/.well-known/oauth-authorization-server
> MCP protected resource: https://mcp.calendly.com/.well-known/oauth-protected-resource
> Scheduling MCP endpoint: https://mcp.calendly.com
> Docs search MCP: https://developer.calendly.com/_mcp/server

# List Group Relationships

GET https://api.calendly.com/group_relationships

Returns a list of group relationships - a given owner can have one membership record, but multiple admin records

> `groups:read`

Reference: https://developer.calendly.com/api-docs/calendly-api/groups/list-group-relationships

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0
- `Authorization` header (bearer token, required) — Personal Access Token

## Request

### Query parameters

- `count` (integer, optional, default: 20) — The number of rows to return
- `page_token` (string, optional) — The token to pass to get the next or previous portion of the collection
- `organization` (string, optional) — Indicates the results should be filtered by organization
- `owner` (string, optional) — Indicates the results should be filtered by owner&#x20; One Of: * Organization Membership URI - `https://api.calendly.com/organization_memberships/AAAAAAAAAAAAAAAA` * Organization Invitation URI - `https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA/invitations/BBBBBBBBBBBBBBBB`
- `group` (string, optional) — Indicates the results should be filtered by group

## Response

### 200

OK

- `collection` (list of GroupRelationship, required) — The set of group relationship records matching the criteria
- `pagination` (Pagination, required)

## Errors

### 400 Bad Request Error

Request is not valid

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 401 Unauthorized Error

Cannot authenticate caller

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 403 Forbidden Error

Permission denied or insufficient scope

- `List-group-relationshipsRequestForbiddenError`

### 500 Internal Server Error

An error has occurred on the server

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

## Types

### GroupRelationship

A group relationship record for an individual. A given individual may have more than one admin relationship to multiple groups, but only one member relationship to a single group.

- `uri` (string, required) — Canonical reference (unique identifier) for the group relationship
- `role` (string, required) — The user's role in the group - this value can only be 'member' or 'admin'
- `owner` (GroupRelationshipOwner, required)
- `organization` (string, required) — The unique reference to the organization that the group relationship is tied to.
- `group` (string, required) — The unique reference to the group that the group relationship is tied to.
- `created_at` (string, required) — The moment when the group relationship record was created (e.g. "2020-01-02T03:04:05.678123Z")
- `updated_at` (string, required) — The moment when the group relationship record was last updated (e.g. "2020-01-02T03:04:05.678123Z")

### Pagination

- `count` (integer, required) — The number of rows to return
- `next_page` (string, required, nullable) — URI to return the next page of an ordered list ("null" indicates no additional results are available)
- `previous_page` (string, required, nullable) — URI to return the previous page of an ordered list ("null" indicates no additional results are available)
- `next_page_token` (string, required, nullable) — Token to return the next page of an ordered list ("null" indicates no additional results are available)
- `previous_page_token` (string, required, nullable) — Token to return the previous page of an ordered list ("null" indicates no additional results are available)

### ErrorResponseDetailsItem

- `message` (string, required)
- `parameter` (string, optional)
- `code` (string, optional)

### ListGroupRelationshipsRequestForbiddenError0

Error Object

- `title` (enum, required)
  - Allowed values: `Permission Denied`
- `message` (enum, required)
  - Allowed values: `You do not have permission to access this resource.`, `You do not have permission`
- `details` (list of ErrorResponseDetailsItem, optional)

### InsufficientScopeError

Caller does not have required oauth scopes

- `title` (enum, required)
  - Allowed values: `Insufficient scope`
- `message` (enum, required)
  - Allowed values: `This operation requires the scopes listed in the 'required_scopes' array.`
- `required_scopes` (list of string, required)

### GroupRelationshipOwner

### OrganizationMembershipOwner

- `created_at` (string, required) — The moment when the membership record was created (e.g. "2020-01-02T03:04:05.678123Z")
- `organization` (string, required) — A unique reference to the organization
- `role` (enum, required) — The user's role in the organization
  - Allowed values: `user`, `admin`, `owner`
- `type` (enum, required)
  - Allowed values: `OrganizationMembership`
- `updated_at` (string, required) — The moment when the membership record was last updated (e.g. "2020-01-02T03:04:05.678123Z")
- `uri` (string, required) — Canonical reference (unique identifier) for the membership
- `user` (OrganizationMembershipUser, required) — Information about the user.

### OrganizationInvitationOwner

- `created_at` (string, required) — The moment the invitation was created (e.g. “2020-01-02T03:04:05.678123Z")
- `email` (string, required) — The email address of the person who was invited to join the organization
- `last_sent_at` (string, required, nullable) — The moment the invitation was last sent (e.g. "2020-01-02T03:04:05.678123Z")
- `organization` (string, required) — Canonical reference (unique identifier) for the organization
- `status` (enum, required) — The status of the invitation ("pending", "accepted", or "declined")
  - Allowed values: `pending`, `accepted`, `declined`
- `type` (enum, required)
  - Allowed values: `OrganizationInvitation`
- `updated_at` (string, required) — The moment the invitation was last updated (e.g. "2020-01-02T03:04:05.678123Z")
- `uri` (string, required) — Canonical reference (unique identifier) for the organization invitation
- `user` (string, optional) — When the invitation is accepted, a reference to the user who accepted the invitation

### OrganizationMembershipUser

Information about the user.

- `uri` (string, required) — Canonical reference (unique identifier) for the user
- `name` (string, required) — The user's name (human-readable format)
- `slug` (string, required) — The portion of URL for the user's scheduling page (where invitees book sessions), rendered in a human-readable format
- `email` (string, required) — The user's email address
- `scheduling_url` (string, required) — The URL of the user's Calendly landing page (that lists all the user's event types)
- `timezone` (string, required) — The time zone to use when presenting time to the user
- `avatar_url` (string, required, nullable) — The URL of the user's avatar (image)
- `locale` (enum, required) — The user's language preference
  - Allowed values: `en`, `fr`, `es`, `de`, `pt`, `ps`
- `created_at` (string, required) — The moment when the user's record was created (e.g. "2020-01-02T03:04:05.678123Z")
- `updated_at` (string, required) — The moment when the user's record was last updated (e.g. "2020-01-02T03:04:05.678123Z")

## Examples

**Response**

```json
{
  "collection": [
    {
      "uri": "https://api.calendly.com/group_relationships/AAAAAAAAAAAAAAAA",
      "role": "member",
      "owner": {
        "created_at": "2019-01-02T03:04:05.678123Z",
        "organization": "https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA",
        "role": "user",
        "type": "OrganizationMembership",
        "updated_at": "2019-08-07T06:05:04.321123Z",
        "uri": "https://api.calendly.com/organization_memberships/AAAAAAAAAAAAAAAA",
        "user": {
          "avatar_url": "https://01234567890.cloudfront.net/uploads/user/avatar/0123456/a1b2c3d4.png",
          "created_at": "2019-01-02T03:04:05.678123Z",
          "email": "test@example.com",
          "locale": "en",
          "name": "John Doe",
          "scheduling_url": "https://calendly.com/acmesales",
          "slug": "acmesales",
          "time_notation": "12h",
          "timezone": "America/New York",
          "updated_at": "2019-08-07T06:05:04.321123Z",
          "uri": "https://api.calendly.com/users/AAAAAAAAAAAAAAAA"
        }
      },
      "organization": "https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA",
      "group": "https://api.calendly.com/groups/AAAAAAAAAAAAAAAA",
      "created_at": "2019-01-02T03:04:05.678123Z",
      "updated_at": "2019-08-07T06:05:04.321123Z"
    },
    {
      "uri": "https://api.calendly.com/group_relationships/AAAAAAAAAAAAAAAA",
      "role": "admin",
      "owner": {
        "created_at": "2019-01-02T03:04:05.678123Z",
        "organization": "https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA",
        "role": "user",
        "type": "OrganizationMembership",
        "updated_at": "2019-08-07T06:05:04.321123Z",
        "uri": "https://api.calendly.com/organization_memberships/AAAAAAAAAAAAAAAA",
        "user": {
          "avatar_url": "https://01234567890.cloudfront.net/uploads/user/avatar/0123456/a1b2c3d4.png",
          "created_at": "2019-01-02T03:04:05.678123Z",
          "email": "test@example.com",
          "locale": "en",
          "name": "John Doe",
          "scheduling_url": "https://calendly.com/acmesales",
          "slug": "acmesales",
          "time_notation": "12h",
          "timezone": "America/New York",
          "updated_at": "2019-08-07T06:05:04.321123Z",
          "uri": "https://api.calendly.com/users/AAAAAAAAAAAAAAAA"
        }
      },
      "organization": "https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA",
      "group": "https://api.calendly.com/groups/AAAAAAAAAAAAAAAA",
      "created_at": "2019-01-02T03:04:05.678123Z",
      "updated_at": "2019-08-07T06:05:04.321123Z"
    },
    {
      "uri": "https://api.calendly.com/group_relationships/AAAAAAAAAAAAAAAA",
      "role": "member",
      "owner": {
        "created_at": "2019-08-07T06:05:04.321123Z",
        "email": "test@example.com",
        "last_sent_at": "2019-01-02T03:04:05.678123Z",
        "organization": "https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA",
        "status": "pending",
        "type": "OrganizationInvitation",
        "updated_at": "2019-01-02T03:04:05.678123Z",
        "uri": "https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA/invitations/BBBBBBBBBBBBBBBB"
      },
      "organization": "https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA",
      "group": "https://api.calendly.com/groups/AAAAAAAAAAAAAAAA",
      "created_at": "2019-01-02T03:04:05.678123Z",
      "updated_at": "2019-08-07T06:05:04.321123Z"
    }
  ],
  "pagination": {
    "count": 20,
    "next_page": "https://api.calendly.com/group_relationships?count=1&page_token=sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi",
    "previous_page": "https://api.calendly.com/group_relationships?count=1&page_token=VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H",
    "next_page_token": "sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi",
    "previous_page_token": "VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H"
  }
}
```

**SDK Code**

```python Group Relationships
import requests

url = "https://api.calendly.com/group_relationships"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Group Relationships
const url = 'https://api.calendly.com/group_relationships';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Group Relationships
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.calendly.com/group_relationships"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Group Relationships
require 'uri'
require 'net/http'

url = URI("https://api.calendly.com/group_relationships")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Group Relationships
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.calendly.com/group_relationships")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Group Relationships
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.calendly.com/group_relationships', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Group Relationships
using RestSharp;

var client = new RestClient("https://api.calendly.com/group_relationships");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Group Relationships
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.calendly.com/group_relationships")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```